<div class="loading-indicator-container size-small pull-right">
    <div class="control-pagination">
        <span class="page-iteration">
            <?= e(trans('backend::lang.list.pagination', ['from' => $pageFrom, 'to' => $pageTo, 'total' => $recordTotal])) ?>
        </span>
        <?php if ($pageLast > 1): ?>
            <?php if ($pageCurrent > 1): ?>
                <a
                    href="javascript:;"
                    class="page-first"
                    onclick="window.setTimeout(function(){rimuoviCheckbox()},1000);"
                    data-request="<?= $this->getEventHandler('onPaginate') ?>"
                    data-request-data="page: 1"
                    data-load-indicator="<?= e(trans('backend::lang.list.loading')) ?>"
                    title="<?= e(trans('backend::lang.list.first_page')) ?>"></a>
            <?php else: ?>
                <span
                    class="page-first"
                    title="<?= e(trans('backend::lang.list.first_page')) ?>"></span>
            <?php endif ?>
            <?php if ($pageCurrent > 1): ?>
                <a
                    href="javascript:;"
                    class="page-back"
                    onclick="window.setTimeout(function(){rimuoviCheckbox()},1000);"
                    data-request="<?= $this->getEventHandler('onPaginate') ?>"
                    data-request-data="page: <?= $pageCurrent-1 ?>"
                    data-load-indicator="<?= e(trans('backend::lang.list.loading')) ?>"
                    title="<?= e(trans('backend::lang.list.prev_page')) ?>"></a>
            <?php else: ?>
                <span
                    class="page-back"
                    title="<?= e(trans('backend::lang.list.prev_page')) ?>"></span>
            <?php endif ?>
            <select
                name="page"
                class="form-control input-sm custom-select select-no-search"
                data-request="<?= $this->getEventHandler('onPaginate') ?>"
                data-load-indicator="<?= e(trans('backend::lang.list.loading')) ?>"
                autocomplete="off">
                <?php for($i = 1; $i <= $pageLast ; $i++): ?>
                    <option value="<?= $i ?>" <?= $i === $pageCurrent ? 'selected' : '' ?>><?= $i ?></option>
                <?php endfor ?>
            </select>
            <?php if ($pageLast > $pageCurrent): ?>
                <a
                    href="javascript:;"
                    class="page-next"
                    onclick="window.setTimeout(function(){rimuoviCheckbox()},1000);"
                    data-request-data="page: <?= $pageCurrent+1 ?>"
                    data-request="<?= $this->getEventHandler('onPaginate') ?>"
                    data-load-indicator="<?= e(trans('backend::lang.list.loading')) ?>"
                    title="<?= e(trans('backend::lang.list.next_page')) ?>"></a>
            <?php else: ?>
                <span
                    class="page-next"
                    title="<?= e(trans('backend::lang.list.next_page')) ?>"></span>
            <?php endif ?>
            <?php if ($pageLast > $pageCurrent): ?>
                <a
                    href="javascript:;"
                    class="page-last"
                    onclick="window.setTimeout(function(){rimuoviCheckbox()},1000);"
                    data-request-data="page: <?= $pageLast ?>"
                    data-request="<?= $this->getEventHandler('onPaginate') ?>"
                    data-load-indicator="<?= e(trans('backend::lang.list.loading')) ?>"
                    title="<?= e(trans('backend::lang.list.last_page')) ?>"></a>
            <?php else: ?>
                <span
                    class="page-last"
                    title="<?= e(trans('backend::lang.list.last_page')) ?>"></span>
            <?php endif ?>
        <?php endif ?>
    </div>
</div>
